//@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@500&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

.light {
	background: #d1dae3;
}

.clock {
	width: 150px;
	height: 150px;
	display: flex;
	float:right;
	justify-content: center;
	align-items: center;
}

.light .clock {
	box-shadow: 0em -1.2em 1.2em rgba(255, 255, 255, 0.3),
		inset 1em 1em -1em rgba(255, 255, 255, 0.3),
		0em -1.2em -1.2em rgba(0, 0, 0, 0.5),
		inset 1em -1em 1em rgba(0, 0, 0, 0.1);
}

.clock :hover {
	cursor: pointer;
}

/* The small circle int the center */
.clock:after {
	content: '';
	position: absolute;
	width: 10px;
	height: 10px;
	background: rgb(255, 255, 255);
	border-radius: 50%;
	z-index: 10000;
}

.clock:before {
	content: '';
	position: absolute;
	width: 140px;
	height: 140px;
	background: url(clock.png);
	background-size: cover;
	background-color: rgba(205, 205, 205, 0.75);
	z-index: 0;
	border: 4px;
	box-shadow: 0em -1.2em 1.2em rgba(255, 255, 255, 0.06),
		inset 0em -1.2em 1.2em rgba(255, 255, 255, 0.06),
		0em 1.2em 1.2em rgba(0, 0, 0, 0.3),
		inset 0em 1.2em 1.2em rgba(0, 0, 0, 0.3);
	border-radius: 50%;
}

.light .clock:before {
	background: #1a74be;
}


.clock .hour,
.clock .min,
.clock .sec {
	position: absolute;
}

/* length of respective arms; */
.clock .hour, .hr {
	width: 84px;
	height: 84px;
} 

.clock .min, .mn {
	width: 120px;
	height: 120px;
}

.clock .sec, .sc {
	width: 90px;
	height: 130px;
}


.hr, .mn, .sc {
	display: flex;
	justify-content: center;
	/* align-items: center; */
	position: absolute;
	border-radius: 50%;   
}


.hr:before {
	content: '';
	position: absolute;
	width: 4.5px;
	height: 40px;
	background: #f81460;
	z-index: 10;
	/* z-index least */
	border-radius: 2.8px;
}

.mn:before {
	content: '';
	position: absolute;
	width: 3.5px;
	height: 65px;
	background: #ffffff;
	z-index: 11;
	/* z-index more than hour hand */
	border-radius: 3px;
}

body.light .mn:before {
	background: #091921;
}

.sc:before {
	content: '';
	position: absolute;
	width: 2px;
	height: 90px;
	background: #0075fa80;
	z-index: 12;
	/* z-index more than hour minute hand */
	border-radius: 3px;
}

.toggleClass {
	position: absolute;
	top: 35px;
	right: 150px;
	width: 20px;
	margin: 2px;
	height: 20px;
	font-size: 18px;
	border-radius: 50%;
	background: #d1dae3;
	color: #d1dae3;
	font-family: 'Quicksand', sans-serif;
	cursor: pointer;
	display: flex;
	align-items: center;
}

.toggleClass:before {
	position: absolute;
	content: 'Light Mode';
	white-space: nowrap;
	left: 25px;
}

.light .toggleClass {
	background: #091921;
	color: #091921;
	content: 'Dark Mode';
}


.light .toggleClass:before {
	content: 'Dark Mode';
	white-space: nowrap;
}
